From: [email-masked]
Date: Tue, 31 May 2005 23:34:45 -0400 (EDT)

> Since you have mentioned that draft, maybe it is time to ask the
> symmetric question again.  Ignoring a number of minor cases,
> there are two important cases of "how do I find an appropriate
> SMTP relay".  One is covered by the draft, and relates, as you
> say, to finding a server appropriate to the user's identity.

> The other involves finding a server appropriate to the user's
> topology of the moment.    In theory, that  information can be
> delivered by DHCP.  It can even be supplied that way when DHCP
> has not provided the IP address for the user's host.   There is
> even a defined DHCP option for delivering SMTP server info.  As
> Ned notes, that option, as now defined, is deeply flawed for a
> number of important cases.   But, even for the cases in which it
> could be used, actual usage of the thing is very near zero.
> Some of that does have to do with DHCP: unless one makes a major
> excursion into the API business, and maybe even not then, the
> information needed to utilize DHCP properly is not readily
> available to mail clients at the right time, the refresh model
> is dubious, and there are other issues.

Eric actually pointed this out in one of his responses (maybe to another list -
I'm having trouble keeping some of these threads straight).

The API situation would definitely have to change for serious DHCP provisioning
of applications to be viable. I do see some small signs of hope, however. For
example, in Mac OS X the location manager seems to be a place where DHCP
options and location-specific network application settings come together.

> So the next question is "is there any serious interest in
> working on a 'how to find the SMTP relay/submission server
> appropriate to the local topological environment'?   This
> probably generalizes.  E.g., if one believes in HTTP caching
> proxies, finding the right local one raises some of the same
> issues.

Very good point. These sorts of things definitely belong in the same category,
some of them more so than submit server addresses. Offhand I'd say the place to
start would be an option offering  a list of services and corresponding
servers/ports. Further elaboration would be needed, of course.

				Ned